{
"id": "event_xxxxx",
"object": "event",
"created": 1754819711382,
"type": "subscription.activated",
"data": {
"object": {
"subscriptionId": "sub_xxxxx",
"merchantReference": "sub_ref_10001",
"customerId": "cus_xxxxx",
"productId": "prd_xxxxx",
"priceId": "price_xxxxx",
"priceSnapshotId": "pricesns_xxxxx",
"createTime": 1754819711382,
"quantity": 1,
"paymentMethodType": "card",
"paymentInstrumentId": "pi_xxxxx",
"status": "active",
"billing": "charge_automatically",
"currency": "USD",
"currentPeriodStart": 1754819711382,
"currentPeriodEnd": 1757498111382,
"recurringInvoiceItem": {
"invoiceItemId": "ii_xxxxx",
"amount": "19.99",
"currency": "USD",
"description": "Pro Plan monthly subscription",
"periodStart": 1754819711382,
"periodEnd": 1757498111382,
"proration": false,
"price": {
"productId": "prd_xxxxx",
"productName": "Pro Plan",
"priceId": "price_xxxxx",
"priceSnapshotId": "pricesns_xxxxx",
"unitAmount": "19.99",
"quantity": 1,
"recurring": {
"interval": "month",
"pricingModel": "flat_rate",
"trialPeriodDays": 0
}
}
},
"sessionId": "sess_xxxxx",
"metadata": {
"plan": "pro"
}
}
}
}subscription
Webhook notification triggered when a subscription is created or updated
{
"id": "event_xxxxx",
"object": "event",
"created": 1754819711382,
"type": "subscription.activated",
"data": {
"object": {
"subscriptionId": "sub_xxxxx",
"merchantReference": "sub_ref_10001",
"customerId": "cus_xxxxx",
"productId": "prd_xxxxx",
"priceId": "price_xxxxx",
"priceSnapshotId": "pricesns_xxxxx",
"createTime": 1754819711382,
"quantity": 1,
"paymentMethodType": "card",
"paymentInstrumentId": "pi_xxxxx",
"status": "active",
"billing": "charge_automatically",
"currency": "USD",
"currentPeriodStart": 1754819711382,
"currentPeriodEnd": 1757498111382,
"recurringInvoiceItem": {
"invoiceItemId": "ii_xxxxx",
"amount": "19.99",
"currency": "USD",
"description": "Pro Plan monthly subscription",
"periodStart": 1754819711382,
"periodEnd": 1757498111382,
"proration": false,
"price": {
"productId": "prd_xxxxx",
"productName": "Pro Plan",
"priceId": "price_xxxxx",
"priceSnapshotId": "pricesns_xxxxx",
"unitAmount": "19.99",
"quantity": 1,
"recurring": {
"interval": "month",
"pricingModel": "flat_rate",
"trialPeriodDays": 0
}
}
},
"sessionId": "sess_xxxxx",
"metadata": {
"plan": "pro"
}
}
}
}Headers
Timestamp sent by Clink for webhook signature verification.
Hex-encoded HMAC-SHA256 signature generated with the webhook signing secret over the string ${X-Clink-Timestamp}.${rawRequestBody}. Use the raw request body bytes/string exactly as received; do not parse and re-serialize the JSON before verifying.
Signature algorithm used to generate X-Clink-Signature. The current value is SHA256.
SHA256 Body
Subscription event payload in json
Unique identifier for the event
Type of event that occurred
subscription.created, subscription.trialing, subscription.activated, subscription.incomplete_expired, subscription.past_due, subscription.cancelled, subscription.updated.plan_changed, subscription.updated.plan_change_canceled, subscription.updated.renewed, subscription.updated.cancel_at_period_end_set, subscription.updated.cancel_at_period_end_revoked "subscription.activated"
Type of this json payload, 'event' if this is an event
"event"
Unix timestamp in milliseconds when the event occurred
Show child attributes
Show child attributes
Response
Return a 200 status to indicate that the data was received successfully